Subject: [PATCH 5/5] net: add MTD support to eth_platform_get_mac_address()

From: [email-masked] (Andrew Lunn)
Date: Thu, 19 Jul 2018 17:27:12 +0200

> Unfortunately: this would effectively block me from improving the
> support for older davinci boards.

Is there something blocking you from converting the board to device
tree? This is something i did with a lot of the Marvell boards a few
years ago. For a while, we had both DT and board setup files. After a
couple of cycles, we killed off the setup files.

       Andrew